   
<?php
/**
 * 
 * Partial Name: footer
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
$social_networks = get_field('social_networks', 'option');
?>
<section class="footer-partial-3f7f92">
    <div class="footer-top">
        <div class="svg-desktop">
            <svg width="968" height="762" viewBox="0 0 968 762" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M0.5 736L735.5 -3H968.001V762H0.5V736Z" fill="#0033A1"/>
                <path d="M425.978 291V326.184L248 505.233V470.049L425.978 291Z" fill="#80BC00"/>
                <path d="M587.978 75V110.184L410 289.233V254.049L587.978 75Z" fill="#00BEFF"/>
                <path d="M767.077 -69V-33.816L588 145.233V110.049L767.077 -69Z" fill="#80BC00"/>
            </svg>
        </div>
        <div class="svg-movil">
            <svg width="376" height="683" viewBox="0 0 376 683" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M0.953125 411L375.953 36.5V681.249H0.953125V411Z" fill="#0033A1"/>
                <path d="M519.03 369V404.184L339.953 583.233V548.049L519.03 369Z" fill="#80BC00"/>
                <path d="M394.03 564V599.184L214.953 778.233V743.049L394.03 564Z" fill="#0087FF"/>
                <path d="M35.9312 360V395.184L-142.047 574.233V539.049L35.9312 360Z" fill="#80BC00"/>
                <path d="M197.931 144V179.184L19.9531 358.233V323.049L197.931 144Z" fill="#00BEFF"/>
                <path d="M377.03 0V35.184L197.953 214.233V179.049L377.03 0Z" fill="#80BC00"/>
            </svg>
        </div>
        <div class="container">
            <div class="row align-items-end">
                <div class="col-12 col-md-6 mb-5 mb-md-0 form-container">
                    <h2 class="title-form"><?= get_field('form_title', 'option'); ?></h2>
                    <div class="form">
                        <?= do_shortcode(get_field('form_shortcode', 'option')); ?>
                    </div>
                </div>
                <div class="col-12 col-md-6 text-center left-contain">
                    <div class="logo-cristal">
                        <img src="<?= esc_url( wp_get_attachment_url( get_theme_mod( 'custom_logo' ) ) ); ?>" alt="Logo Agua Cristal">
                    </div>
                    <?php if($social_networks): ?>
                    <div class="social-networks">
                        <ul>
                            <?php foreach($social_networks as $item): ?>
                                <li>
                                    <a href="<?= $item['url'] ?>" target="_blank"><?= $item['icon_svg']; ?></a>
                                </li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                    <?php endif; ?>
                    <img src="<?= get_field('postobon_logo', 'option')['url']; ?>" alt="<?= get_field('postobon_logo', 'option')['title']; ?>" class="logo-postobon">
                    <div class="text-footer">
                        <p><?= get_field('text_after_postobon_logo', 'option'); ?></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="copyright">
        <div class="row">
            <div class="col-12">
                <p><?= get_field('smk_text', 'option'); ?></p>
            </div>
        </div>
    </div>
</section>