   
<?php
/**
 * 
 * Template Name: team-cristal
 * 
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}
get_header();
$video = get_field('video_id_desktop');
$video_movil = get_field('video_id_movil');
$title = get_field('team_title');
$videos = get_field('videos');
$steps = get_field('steps');
?>
<main id="team-cristal-template-a14aa5">
    <div class="banner">
        <div class="video">
            <iframe class="desktop" src="https://player.vimeo.com/video/<?= $video; ?>?autoplay=1&loop=1&autopause=0&muted=1&controls=0" title="Vimeo video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
            <iframe class="movil" src="https://player.vimeo.com/video/<?= $video_movil; ?>?autoplay=1&loop=1&autopause=0&muted=1&controls=0" title="Vimeo video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
        </div>
    </div>
    <section class="team-cristal">
        <div class="clip-path"></div>
        <div class="svg-content">
            <svg width="402" height="373" viewBox="0 0 402 373" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M464.978 0V35.1841L287 214.233V179.049L464.978 0Z" fill="#00BEFF"/>
                <path d="M179.077 158V193.184L0 372.233V337.049L179.077 158Z" fill="#80BC00"/>
                <path d="M287.124 127V162.184L108.047 341.233V306.049L287.124 127Z" fill="#0087FF"/>
            </svg>
        </div>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 col-md-11">
                    <div class="team">
                        <?php if($title): ?>
                            <h1>
                                <?php foreach($title as $item): ?>
                                    <span style="color:var(<?= $item['color_text']; ?>)"><?= $item['add_text']; ?> </span>
                                <?php endforeach; ?>
                            </h1>
                        <?php endif; ?>
                    </div>
                    <div class="row align-items-center">
                        <div class="col-12 col-md-6 p-0">
                            <p class="description movil d-block d-md-none"><?= get_field('person_description'); ?></p>
                            <div class="person-photo">
                                <img src="<?= get_field('person_photo'); ?>" alt="<?= get_field('person_name'); ?>">
                            </div>
                        </div>
                        <div class="col-12 col-md-6">
                            <h2 class="person-name"><?= get_field('person_name'); ?></h2>
                            <p class="description d-none d-md-block"><?= get_field('person_description'); ?></p>
                        </div>
                    </div>
                </div>
                <?php if($videos): ?>
                    <div class="col-12 col-md-11 video-container">
                        <h2><?= get_field('title_after_video_slide'); ?></h2>
                        <div class="d-none d-md-block">
                            <div class="row">
                                <?php foreach($videos as $item): ?>
                                    <div class="col-md-6 col-lg-4 mb-4">
                                        <?php if($item['is_it_video'] === true): ?>
                                            <div class="video image-card">
                                                <div class="image-contain">
                                                    <img src="<?= $item['image']['url']; ?>" alt="<?= $item['image']['title']; ?>">
                                                    <svg width="60" height="60" viewBox="0 0 60 60" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                        <circle cx="30" cy="30" r="30" fill="white" fill-opacity="0.2"/>
                                                        <path d="M43 30L23.5 41.2583L23.5 18.7417L43 30Z" fill="white"/>
                                                    </svg>
                                                </div>
                                                <input type="hidden" class="video-id" value="<?= $item['video_id']; ?>">
                                            </div>
                                        <?php else: ?>
                                            <div class="image-card">
                                                <div class="image-contain">
                                                    <img src="<?= $item['image']['url']; ?>" alt="<?= $item['image']['title']; ?>">
                                                </div>
                                            </div>
                                        <?php endif; ?> 
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                        <div class="d-block d-md-none">
                            <div class="video-slide owl-carousel">
                                <?php foreach($videos as $item): ?>
                                    <div class="item">
                                        <?php if($item['is_it_video'] === true): ?>
                                            <div class="video image-card">
                                                <div class="image-contain">
                                                    <img src="<?= $item['image']['url']; ?>" alt="<?= $item['image']['title']; ?>">
                                                    <svg width="60" height="60" viewBox="0 0 60 60" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                        <circle cx="30" cy="30" r="30" fill="white" fill-opacity="0.2"/>
                                                        <path d="M43 30L23.5 41.2583L23.5 18.7417L43 30Z" fill="white"/>
                                                    </svg>
                                                </div>
                                                <input type="hidden" class="video-id" value="<?= $item['video_id']; ?>">
                                            </div>
                                        <?php else: ?>
                                            <div class="image-card">
                                                <div class="image-contain">
                                                    <img src="<?= $item['image']['url']; ?>" alt="<?= $item['image']['title']; ?>">
                                                </div>
                                            </div>
                                        <?php endif; ?> 
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>
                    <div class="video-pop-up">
                        <div class="body">
                            <div class="overly-close"></div>
                            <div id="the-video"></div>
                        </div>
                    </div>
                    <script>
                        $('.video-slide').owlCarousel({
                            autoplay:true,
                            loop:true,
                            nav:false,
                            dots:false,
                            margin:10,
                            responsive:{
                                0:{
                                    items:1.3,
                                    center:true
                                },
                                600:{
                                    items:2.5,
                                    center:true
                                }
                            }
                        }).css({'visibility':'visible'});
                    </script>
                <?php endif; ?>
            </div>
        </div>
        <div class="clip-path-bottom"></div>
    </section>
    <?php if($steps): $key = 0; ?>
        <section class="sing-up">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-12 col-md-11">
                        <h2 class="title"><?= get_field('sing_up_title'); ?></h2>
                        <div class="steps-slide owl-carousel">
                            <?php foreach($steps as $step): $key++; ?>
                                <div class="item">
                                    <span class="key"><?= $key; ?></span>
                                    <p><?= $step['step']; ?></p>
                                </div>
                            <?php endforeach; ?>
                        </div>
                        <a href="<?= get_field('register_now_cta'); ?>" class="register-cta">
                            <span><?= get_field('register_now_text'); ?></span>
                        </a>
                    </div>
                </div>
            </div>
        </section>
        <div class="pop-up-sing-up">
            <div class="overly" onclick="close_sing_in()"></div>
            <div class="card-pop-up">
                <div class="close" onclick="close_sing_in()">
                    <div class="svg-contain">
                        <svg width="143" height="64" viewBox="0 0 143 64" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M26 0H142.5L99.5 64H46C34.9543 64 26 55.0457 26 44V0Z" fill="#80BC00"/>
                            <path d="M27 0H137.5L94.5 64H47C35.9543 64 27 55.0457 27 44V0Z" fill="#0082CA"/>
                            <path d="M0 30.0001C0 13.4316 13.4314 8.90899e-05 30 7.66406e-05L132 0L89.6519 63.9999L0 64V32V30.0001Z" fill="#0033A1"/>
                        </svg>
                    </div>
                    <span class="text">
                        <i class="fa-solid fa-xmark"></i> Cerrar
                    </span>
                </div>
                <div class="form-contain">
                    <div class="form">
                        <?= do_shortcode(get_field('form_shortcode')); ?>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
</main>
<script>
    $(()=>{
        setTimeout(() => {
            $('.svg-content').addClass('slide-right');
        }, 1000);
        $('.steps-slide').owlCarousel({
            autoplay:false,
            loop:false,
            nav:true,
            navText:[
                `<svg width="61" height="55" viewBox="0 0 61 55" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M33.2852 55.0001C48.5345 55.0001 60.8965 42.6879 60.8965 27.5001C60.8966 12.3122 48.5346 8.46895e-06 33.2853 5.80805e-06C22.2585 3.88397e-06 12.7415 6.43765 8.31638 15.7451C7.59476 17.263 6.24718 18.3875 4.79029 19.2253C1.92762 20.8716 -4.19788e-06 23.9606 -4.81795e-06 27.4998C-5.43801e-06 31.039 1.92756 34.128 4.79013 35.7742C6.24702 36.6121 7.59457 37.7367 8.31617 39.2545C12.7412 48.5622 22.2584 55.0001 33.2852 55.0001Z" fill="white"/>
                    <ellipse cx="33.4729" cy="27.4673" rx="19.6897" ry="19.6104" fill="#80BC00"/>
                    <path d="M35.4384 19.6428L27.5625 27.5L35.4384 35.3571" stroke="white" stroke-width="2" stroke-linecap="round"/>
                </svg>`,
                `<svg width="61" height="55" viewBox="0 0 61 55" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M27.6112 -9.24458e-05C12.3619 -9.11073e-05 -7.23813e-05 12.3121 -7.1059e-05 27.5C-6.97366e-05 42.6878 12.3619 55 27.6112 55C38.6379 55 48.155 48.5624 52.5801 39.2549C53.3017 37.737 54.6493 36.6125 56.1062 35.7747C58.9689 34.1284 60.8965 31.0394 60.8965 27.5002C60.8965 23.961 58.9689 20.872 56.1063 19.2258C54.6495 18.3879 53.3019 17.2633 52.5803 15.7455C48.1553 6.43776 38.6381 -9.34137e-05 27.6112 -9.24458e-05Z" fill="white"/>
                    <ellipse cx="27.4235" cy="27.5327" rx="19.6897" ry="19.6104" transform="rotate(180 27.4235 27.5327)" fill="#80BC00"/>
                    <path d="M25.4581 35.3572L33.334 27.5L25.4581 19.6429" stroke="white" stroke-width="2" stroke-linecap="round"/>
                </svg>`
            ],
            dots:true,
            margin:10,
            items:1
        });
    });
    $(window).scroll(()=>{
        var windowScrol = $(window).scrollTop();

        var team = $('.team').offset().top -700;
        if(windowScrol >= team){
            $('h1').addClass('zoom-bottom');
        }

        var video = $('.video-container').offset().top -600;
        if(windowScrol >= video){
            $('.video-container h2').addClass('slide-left');
            $('.video-container .image-card').addClass('rotate-x');
        }

        var sing_up = $('.sing-up').offset().top -750;
        if(windowScrol >= sing_up){
            $('.sing-up h2').addClass('slide-left');
            $('.steps-slide').css({ 'opacity':1 });
        }

        if($(window).width() < 768){
            var movil = $('.description.movil').offset().top -700;
            if(windowScrol >= movil){
                $('.description').addClass('slide-left');
            }
            var person_photp = $('.person-photo').offset().top -600;
            if(windowScrol >= person_photp){
                $('.person-photo img').addClass('zoom');
                $('.person-name').addClass('slide-left');
            }
        }else{
            var person_name = $('.person-name').offset().top -700;
            if(windowScrol >= person_name){
                $('.person-name').addClass('slide-left');
                $('.description').addClass('slide-left');
            }
            var person_photp = $('.person-photo').offset().top -600;
            if(windowScrol >= person_photp){
                $('.person-photo img').addClass('zoom');
            }
        }
    });
    $('.sing-up-cta').on('click', function(e){
        $('.pop-up-sing-up').addClass('show');
        e.preventDefault();
    });
    function close_sing_in(){
        $('.pop-up-sing-up').removeClass('show');
    }
    gsap.registerPlugin(ScrollTrigger);

    gsap.fromTo(document.querySelector('.team-cristal .svg-content'), { y: 0 }, {
    y: 60,
    duration: 1,
    scrollTrigger: {
        trigger: document.querySelector('.team-cristal .svg-content'),
        start: 'top 10%',
        end: 'top 80%',
        scrub: true,
        markers: false,
    }
    });
</script>
<?php get_footer(); ?>
                    